/* Test file for attributeChanged() notification.

Copyright (c) 1998-2005 The Regents of the University of California.
All rights reserved.
Permission is hereby granted, without written agreement and without
license or royalty fees, to use, copy, modify, and distribute this
software and its documentation for any purpose, provided that the above
copyright notice and the following two paragraphs appear in all copies
of this software.

IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF
THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.

THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
ENHANCEMENTS, OR MODIFICATIONS.

PT_COPYRIGHT_VERSION_2
COPYRIGHTENDKEY

*/
package ptolemy.data.expr.test;

import ptolemy.data.DoubleToken;
import ptolemy.data.expr.Parameter;
import ptolemy.kernel.Entity;
import ptolemy.kernel.util.Attribute;
import ptolemy.kernel.util.IllegalActionException;
import ptolemy.kernel.util.NameDuplicationException;


//////////////////////////////////////////////////////////////////////////
//// AttributeChanged

/**
   Test class that checks to see whether it is ok to cache parameter values.
   @author  Edward A. Lee
   @version $Id: AttributeChanged.java,v 1.16 2005/03/01 02:21:15 cxh Exp $
   @since Ptolemy II 0.3
   @Pt.ProposedRating Red (eal)
   @Pt.AcceptedRating Red (reviewmoderator)
*/
public class AttributeChanged extends Entity {
    public Parameter param;
    private double _param;

    public AttributeChanged(String name)
            throws NameDuplicationException, IllegalActionException {
        super(name);
        param = new Parameter(this, "param", new DoubleToken(1.0));
    }

    public void attributeChanged(Attribute attribute)
            throws IllegalActionException {
        if (attribute == param) {
            _param = ((DoubleToken) (param.getToken())).doubleValue();
        }
    }

    public double getParamValue() {
        return _param;
    }
}
